NAS 3rd Party

Full Version: Which module version is needed for my NAS ?
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Not every NAS uses the same architecture, some modules are multi-platform and work on every NAS. But some modules are architecture dependant and you need to know which architecture your NAS is based on. Therefore an overview of the recent NAS models and their related architecture:

x64_OS7 in module name, work for :

x64 OS7 (64 bits FW 3.xx)
- N16850
- N16000 series
- N12850
- N12000 series
- N8900 series
- TopTower series
- N8880-10G
- N8810 series
- N7770-10G
- N7710 series
- N5810(PRO)
- N2810

x64 OS7 CDV (64 bits FW 3.xx)
- N7510
- N5550
- N4800 series
- N4510U series
- N2800

x64_OS5 in module name, work for :

x64 OS5 (64 bits FW 2.xx)
- N16850
- N16000 series
- N12850
- N12000 series
- N8900 series
- TopTower series
- N8880-10G
- N8810 series
- N8800PROV2 (NOT the N8800PRO)
- N7770-10G
- N7710 series
- N7700PROV2 (NOT the N7700PRO)
- N5810(PRO)

x64 OS5 CDV (64 bits FW 2.xx)
- N7510
- N5550
- N4800 series
- N4510U series
- N2800

x86_OS5 in module name, work for :

x86 (32 bits FW 5.xx:
- N8800 series (Except the N8800PROV2)
- N7700 series (Except the N7700PROV2)
- N8200XXX
- N5500
- N5200XXX
- N4200 series
- N0503 / N3200XXX
- N2200XXX
- 1U4600 series
- 1U4200XXX series

x86_OS6 in module name, work for :

x86 OS6 (32 bits OS6/OS6.1-xx:
- N4560
- N4520
- N2560
- N2520

ppc_OS6 in module name, work for :

PPC (PowerPC):
- N2310
- N4310

ARM_OS7 in module name, work for :

arm (ARM-SoC):
- N2350
- N4350


Others:
- N4100PRO: Most x86 modules will work, but not all (depending on CPU features needed by module that might not be available)
- N5200(PRO): Some x86 modules might work, but due an outdated firmware/kernel some modules will not work
- N0204/N2200/N2200Plus/N2200EVO: These models are based on ARM which don't have any 3rd party modules